/**
 * GUI Commands
 * Copyright 2004 Andrew Pietsch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: Logger.java,v 1.2 2004/12/12 05:29:32 pietschy Exp $
 */

package org.pietschy.command.log;

public interface
Logger
{

   public boolean isDebugEnabled();

   public boolean isErrorEnabled();

   public boolean isFatalEnabled();

   public boolean isInfoEnabled();

   public boolean isTraceEnabled();

   public boolean isWarnEnabled();

   public void trace(Object o);

   public void trace(Object o, Throwable throwable);

   public void debug(Object o);

   public void debug(Object o, Throwable throwable);

   public void info(Object o);

   public void info(Object o, Throwable throwable);

   public void warn(Object o);

   public void warn(Object o, Throwable throwable);

   public void error(Object o);

   public void error(Object o, Throwable throwable);

   public void fatal(Object o);

   public void fatal(Object o, Throwable throwable);

   public boolean isEnterEnabled();

   public void enter(Object o);

   public boolean isExitEnabled();

   public void exit(Object o);

   public boolean isParamEnabled();

   public void param(String name, Object param);

   public boolean isReturnedEnabled();

   public void returned(Object o);

}
